$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_66-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_66-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '18abbabd22903e97cc7175b44ed8210c8aee4c68f154f1c3ff57baa64d44dba9'
  checksumType  = 'sha256'
  checksum64    = '684ad4114b16eddde8e38aab7924fa60ea74639c01e16753bff6be05576e7b82'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
